# RT21 - Accept or refuse a return request

Description

Limited to 100 returns at a time


Read More

More context

Endpoint: PUT /api/returns/accept

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Request fields (application/json):

  - `returns` (array, required)
    Returns to be accepted, maximum number of returns per call: 100

  - `returns.accepted` (boolean, required)
    Boolean indicating if the return is accepted or refused

  - `returns.id` (string, required)
    Return id

  - `returns.rejection_reason_code` (string)
    Return rejection reason code

Enum: "RETURN_REJECTION_NOT_ELIGIBLE", "RETURN_REJECTION_NOT_NEEDED", "RETURN_REJECTION_WINDOW_CLOSED"

## Response 200 fields (application/json):

  - `return_errors` (array)
    Returns update errors

  - `return_errors.id` (string)
    Return id

  - `return_errors.message` (string)
    Error message

  - `return_success` (array)
    Returns update success

  - `return_success.id` (string, required)
    Return id, must be a valid UUID


